# &kde; kasutaja käsiraamat

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Süsteemi seadistuste vahemälu ümber ehitamine.

## Kokkuvõte

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Kirjeldus

`kbuildsycoca4` kui &kde; käsureatööriistade osa tagab &kde; korrektse töö, lugedes kõiki `.desktop`-, `.xml`- ja `.protocol`-faile ning luues nende baasil binaarandmebaasi.

&kde; kasutab seda andmebaasi konfiguratsiooniinfo jagamiseks käivitatavatele programmidele.

See tööriist kuulub ksycoca4 ehk &kde; süsteemi seadistuste vahemälu koosseisu.

## Võtmed

`--nosignal`

  Rakendustele ei anta korraldust uuendada

`--noincremental`

  Inkrementuuenduse keelamine, kõik loetakse uuesti sisse

`--checkstamps`

  Failide ajatemplite kontroll

`--nocheckfiles`

  Failide kontrolli keelamine (ohtlik)

`--global`

  Globaalse andmebaasi loomine

`--menutest`

  Ainult menüü genereerimise test

`--track menüü ID`

  Menüü ID jälgimine silumise huvides

`--help`

  Näitab abi võtmete kohta

`--help-qt`

  Näitab abi Qt spetsiifiliste võtmete kohta

`--help-kde`

  Näitab abi KDE spetsiifiliste võtmete kohta

`--help-all`

  Näitab abi kõigi võtmete kohta

`--author`

  Näitab infot autori kohta

`-v , --version`

  Näitab versiooniinfot

`--license`

  Näitab litsentsiinfot

## Kasutamine

Standardne viis programmi käivitada on anda käsureal käsk ``kbuildsycoca4``

## Failid

`/var/tmp/kde-$USER/ksycoca4`

  Vaikimisi kataloog, kuhu puhvrifailid salvestatakse.

## Keskkonnamuutujad

$`KDEDIRS`

  Määrab, millised kataloogid kuuluvad KDE paigalduse koosseisu

$`KDESYCOCA`

  Määrab sycoca andmebaasifaili asukoha

## Vaata ka

kdeinit4

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.